Developer API

Geo IP API

Simple JSON API for IP geolocation with no API key on the first stage.

Free access
10 requests / 1 minute

No API key is required at the first stage. Requests are rate limited per client IP.

Endpoints

GET /api/me

Get your client IP

Returns the detected client IP address.

Request
curl -s https://ip-geo.info/api/me
Response
{
  "ip": "1.1.1.1"
}
GET /api/geo-ip/8.8.8.8

Lookup an IP address

Returns aggregated location, network and provider data for IPv4 or IPv6.

Request
curl -s https://ip-geo.info/api/geo-ip/8.8.8.8
Response
{
  "ip": "8.8.8.8",
  "location": {
    "Continent": "North America",
    "Country code": "US",
    "Country name": "United States",
    "Registered country": "United States",
    "City": "Mountain View",
    "Region": "California",
    "Latitude": 37.422,
    "Longitude": -122.085,
    "Timezone": "America/Los_Angeles",
    "ISP": "Google",
    "Organization": "Google LLC",
    "ASN": "15169",
    "Network": "8.8.8.0/24"
  }
}

Error responses

422 Validation failed
{
  "error": "Validation failed",
  "fields": {
    "ipAddress": [
      "The value must be a valid IP address."
    ]
  }
}
429 Rate limit exceeded
{
  "error": "Rate limit exceeded",
  "status": 429,
  "limit": 10,
  "window_seconds": 60,
  "retry_after": 42
}